<?php

namespace app\jsonrpc;

use Wandoubaba\Res;

class Demo
{
    /**
     * 提供rpc调用的服务方法示例，方法属性是public static
     *
     * @author Aaron <chenqiang@h024.cn>
     *
     * @param string $name
     * 
     * @return array Res转换的数组
     */
    public static function hello(string $name)
    {
        $res = new Res();
        
        $res->success()->setMsg("Hello, {$name}");
        return $res;
    }

    public static function text()
    {
        return '直接返回字符串';
    }
}
